<?php
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}
include_once('lib_main.php');

$ruta_inve='';
$ruta_nomi='';
$ruta_cont='';
$ruta_cele='';
$ruta_vtco='';
$ruta_x='';
$ruta_x2='';
$ruta_x.='.cele.gnya.crsb';
$ruta_x.='.demo';

if(!empty($empr)){$rutas[0]=$empr;}     
if(empty($rutas)){$rutas = scandir('../');}
// $rutas=['anml','adsa','demo'];


//////////////////////////////////////////////
// verifica cias con movimiento en la ultima semana
//////////////////////////////////////////////
$fields='idnum1,docu,numero,fecha';
if(empty($fecha1)){$fecha1=date('Y-m-d',strtotime('-1 week'));}
if(empty($fecha4)){$fecha4=date('Y-m-01',strtotime('-4 week'));}
if(empty($fecha9)){$fecha9=date('Y-m-01',strtotime('-9 week'));}


foreach($rutas as $ruta)
{
     $cfg_file='../'.$ruta.'/_cfg/config1.php';
     
//      echo '<br>=== '.$cfg_file;
     
     if(!mb_stristr2($ruta_x,$ruta))
     if(file_exists($cfg_file))
     {
//      echo '<br>=== '.$cfg_file.' OK ';
          $link_ruta=msql_connect('','','',$ruta);
          $empr0=data_maes('empr',$ruta,$link_ruta);
          
          $sql_cele='select '.$fields.' from vtas1 where fecha>="'.$fecha1.'" and ifnull(status,"")not in("O","X")';
          if($empr0['empr_rete']==1)
          {$sql_cele.='union select '.$fields.' from retp1 where fecha>="'.$fecha1.'" and ifnull(status,"")not in("O","X")';}
          if($empr0['empr_guia']==1)
          {$sql_cele.='union select '.$fields.' from guia1 where fecha>="'.$fecha1.'" and ifnull(status,"")not in("O","X")';}          
          if($empr0['empr_clie']==1)
          {$sql_cele.='union select '.$fields.' from clie1 where fecha>="'.$fecha1.'" and ifnull(status,"")not in("O","X")';}
          $sql_cele.='limit 1 ';
          $res_cele=msql_query($sql_cele,$link_ruta);

          if(msql_num_rows($res_cele)>0){$ruta_cele.='.'.$ruta;}
          if(msql_num_rows($res_cele)==0){$ruta_x.='.'.$ruta;}
          
//           echo '<br>=== '.$ruta;
//           echo '=== '.$ruta_cele;
          
          if($empr0['empr_inve']==1){$ruta_inve.='.'.$ruta;}
          if($empr0['empr_nomi']==1){$ruta_nomi.='.'.$ruta;}
          if($empr0['empr_cont']==1){$ruta_cont.='.'.$ruta;}
          
          if(msql_num_rows($res_cele)==0)
          {
//                $sql_cele='select '.$fields.' from vtas1 where fecha>="'.$fecha4.'" and ifnull(status,"")not in("O","X")';
               $sql_cele='select '.$fields.' from vtas1 where fecha>="'.$fecha9.'" and ifnull(status,"")not in("O","X")';
               $sql_cele.='union select '.$fields.' from comp1 where fecha>="'.$fecha9.'" and ifnull(status,"")not in("O","X")';
               $sql_cele.='union select '.$fields.' from retc1 where fecha>="'.$fecha9.'" and ifnull(status,"")not in("O","X")';
               $sql_cele.='limit 1 ';
               $res_cele=msql_query($sql_cele,$link_ruta);

               if(msql_num_rows($res_cele)>0){$ruta_vtco.='.'.$ruta;}
          }
          
          
          
          
          
     }
 }

$ruta_inve=substr($ruta_inve,1);
$ruta_nomi=substr($ruta_nomi,1);
$ruta_cont=substr($ruta_cont,1);
$ruta_cele=substr($ruta_cele,1);
$ruta_vtco=substr($ruta_vtco,1);

$ruta_inve=explode('.',$ruta_inve);
$ruta_nomi=explode('.',$ruta_nomi);
$ruta_cont=explode('.',$ruta_cont);
$ruta_cele=explode('.',$ruta_cele);
$ruta_vtco=explode('.',$ruta_vtco);
//////////////////////////////////////////////

// echo '===============================>>>>>.';
// var_dump2($ruta_cele);
// var_dump2($ruta_cont);

//////////////////////////////////////////////
// crea archivo _emprdb.txt para cias activas
//////////////////////////////////////////////
if(empty($empr))
{
//      $file_cias='../-cjob/-emprdb.txt';
//      unlink($file_cias);
//      $archivo = fopen($file_cias, 'w');
//      foreach($ruta_cele as $ruta)
//      {fwrite($archivo, $ruta . PHP_EOL);}
//      fclose($archivo);
     
//      $file_cias='../-cjob/-emprdb2.txt';
     $file_cias='../-cjob/-empr_vtco.txt';
     unlink($file_cias);
     $archivo = fopen($file_cias, 'w');
     foreach($ruta_vtco as $ruta)
     {fwrite($archivo, $ruta . PHP_EOL);}
     fclose($archivo);

     $file_cias='../-cjob/-empr_cele.txt';
     unlink($file_cias);
     $archivo = fopen($file_cias, 'w');
     foreach($ruta_cele as $ruta)
     {fwrite($archivo, $ruta . PHP_EOL);}
     fclose($archivo);
     
     $file_cias='../-cjob/-empr_cont.txt';
     unlink($file_cias);
     $archivo = fopen($file_cias, 'w');
     foreach($ruta_cont as $ruta)
     {fwrite($archivo, $ruta . PHP_EOL);}
     fclose($archivo);
     
     $file_cias='../-cjob/-empr_inve.txt';
     unlink($file_cias);
     $archivo = fopen($file_cias, 'w');
     foreach($ruta_inve as $ruta)
     {fwrite($archivo, $ruta . PHP_EOL);}
     fclose($archivo);
     
     $file_cias='../-cjob/-empr_nomi.txt';
     unlink($file_cias);
     $archivo = fopen($file_cias, 'w');
     foreach($ruta_nomi as $ruta)
     {fwrite($archivo, $ruta . PHP_EOL);}
     fclose($archivo);
     
     
}
//////////////////////////////////////////////

return;

?>